/********************************************
* programma multiplexaggio su 2 display     *
*   firmware version:1.0                    *
*   autore: Marco Gottardo                  *
*   data:15/01/2013                         *
*   interfaccia CD4511                      *
*   MCU: 16F876A                            *
*   Piattaforma hardware: Micro-GT IDE      *
*   Piattaforma software: MPLAB v8.60       *
*   linee: A->RB0                           *
*          B->RB1                           *
*          C->RB2                           *
*          D->RB3                           *
********************************************/

#define _LEGACY_HEADERS


#include <pic.h>
#include "delay.h"
#include "settaggi.h"

__CONFIG (HS & WDTEN & PWRTDIS & BORDIS & LVPDIS & DUNPROT & WRTEN & DEBUGDIS & UNPROTECT);

#define A RB0
#define B RB1
#define C RB2
#define D RB3

#define display1 RB7
#define display2 RB6

void settaggi();

void main(){
 settaggi();
 int conta;
 	 conta=2;
 	while(1){
		PORTB=conta;
		display1=1;
 		display2=0;
		DelayMs(10);
		conta=conta-1;
		PORTB=conta;
		display1=0;
 		display2=1;
		DelayMs(10);
		conta=2;
 	
 CLRWDT(); //resetta il watch dog timer
 }
}